Subject: Re: [Summary]: Supporting alternative zlib implementations

From: Sebastian Andrzej Siewior <[email-masked]>
Date: Thu, 28 Nov 2024 12:10:03 +0100

On 2024-11-25 22:03:32 [+0100], To [email-masked] wrote:
> On 2024-11-24 21:36:25 [+0100], To [email-masked] wrote:
> …
> 
> I've been looking at cdebootstrap. It is one of the failing. This
> happens in the rules files:
> |  ( echo -n "misc:Built-Using="; dpkg-query -f='${source:Package} (=
> | ${source:Version}), ' -W libc6-dev libdebian-installer4-dev
> | libdebconfclient0-dev libbz2-dev liblzma-dev zlib1g-dev; echo )  >>
> | debian/cdebootstrap-static.substvars
> 
> and then
> | dpkg-gencontrol: warning: Depends field of package cdebootstrap-static: substitution variable ${shlibs:Depends} used, but is not defined
> | dpkg-gencontrol: warning: can't parse dependency zlib1g-dev (= )
> | dpkg-gencontrol: error: parsing package 'cdebootstrap-static' Built-Using field: bzip2 (= 1.0.8-6), glibc (= 2.40-4), cdebconf (= 0.273), libdebian-installer (= 0.125), xz-utils (= 5.6.3-1),  zlib1g-dev (= ),
> 
> Since we don't have zlib1g-dev anymore, this goes boom. If we exclude
> zlib1g-dev then it is not recorded. Can't we smart about this?

Rebuild done. Rebuild all packages as suggested by ratt for zlib.

Total              : 38655
Passed             : 37188
Failed with zlib-ng: 64
Failed always      : 1401

The total amount of build logs is ~20GiB. I uploaded compressed logs of
the which failed with zlib-ng and overview to
	https://people.debian.org/~bigeasy/zlib-ng/	

Three packages failed due to the way Build-Using is generated. I moved
those to another folder (cdebootstrap, dar, sash).
 
Sebastian